| Home | Libraries | People | FAQ | More

#### grammar::hexdig_chars

The set of hexadecimal digits.

##### Synopsis

Defined in header `<boost/url/grammar/hexdig_chars.hpp>`

    constexpr implementation-defined hexdig_chars;

##### Example

Character sets are used with rules and the functions `find_if` and `find_if_not`.

    system::result< core::string_view > rv = parse( "8086FC19" , token_rule( hexdig_chars ) );

##### BNF

    HEXDIG      = DIGIT
                / "A" / "B" / "C" / "D" / "E" / "F"
                / "a" / "b" / "c" / "d" / "e" / "f"

##### Remarks

The RFCs are inconsistent on the case sensitivity of hexadecimal digits. Existing uses suggest case-insensitivity is a de-facto standard.

##### Specification

- B.1. Core Rules (rfc5234)
- 1.2. Syntax Notation (rfc7230)
- 2.3. Uppercase or Lowercase (rfc5952)
- 4.3. Lowercase (rfc5952)

##### See Also

`find_if`, `find_if_not`, `hexdig_value`, `parse`, `token_rule`.

Convenience header `<boost/url/grammar.hpp>`